<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC

@author david.cifuentes
@version 	 1.0
@description Pantalla para gestionar el cargue y asociación de las unidades de construcción originales del predio cuando es un NPH.
@cu 		CU-NP-CO-194 Permitir Asociar construcciones al realizar la mutación de segunda desenglobe

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             id="unidadesConstruccionesPredioOriginalNPHPanelGrid"
             width="100%">

    <div style="overflow: auto; width: 100%;">
        <p:dataTable var="unidadConstruccion"
                     id="unidadConstruccionConvencionalPredioOriginalTableNPH"
                     widgetVar="unidadConstruccionConvencionalPredioOriginalNPHTableWV"
                     emptyMessage="No hay registros disponibles"
                     value="#{managedBeanParam.unidadConstruccionConvencionalPredioOriginal}">
            <f:facet name="header">Unidades de construcción convencional</f:facet>

            <p:column>
                <f:facet name="header">Acciones</f:facet>
                <h:selectBooleanCheckbox value="#{unidadConstruccion.selected}" />
            </p:column>

            <p:column>
                <f:facet name="header">Unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.unidad}" title="#{unidadConstruccion.id}"/>
            </p:column>

            <p:column>
                <f:facet name="header">Uso unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">Piso<br /> ubicación<br />unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.pisoUbicacion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Total<br /> pisos<br />unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPisosUnidad}" />
            </p:column>

            <p:column>
                <f:facet name="header">Habitaciones</f:facet>
                <h:outputText value="#{unidadConstruccion.totalHabitaciones}" />
            </p:column>

            <p:column>
                <f:facet name="header">Baños</f:facet>
                <h:outputText value="#{unidadConstruccion.totalBanios}" />
            </p:column>

            <p:column>
                <f:facet name="header">Locales</f:facet>
                <h:outputText value="#{unidadConstruccion.totalLocales}" />
            </p:column>

            <p:column>
                <f:facet name="header">Puntos</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPuntaje}">
                    <f:convertNumber type="number" maxFractionDigits="0"/>
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Área (m2)<br />construida</f:facet>
                <h:outputText value="#{unidadConstruccion.areaConstruidaRestante}">
                    <f:convertNumber type="number"  />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Valor m2<br /> construcción</f:facet>
                <h:outputText value="#{unidadConstruccion.valorM2Construccion}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Avalúo<br /> unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.avaluo}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Año<br />construcción</f:facet>
                <h:outputText value="#{unidadConstruccion.anioConstruccion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Tipificación</f:facet>
                <h:outputText value="#{unidadConstruccion.tipificacionValor eq 'NA' ? ' ' : unidadConstruccion.tipificacionValor}" />
            </p:column>

            <f:facet name="footer">
                <p:outputPanel layout="block" style="text-align: left">
                    <h:outputLabel value="Total unidades: " />
                    <h:outputText
                            value="#{fn:length(managedBeanParam.unidadConstruccionConvencionalPredioOriginal)}" />
                </p:outputPanel>
            </f:facet>

        </p:dataTable>
    </div>

    <p:separator />

    <div style="overflow: auto; width: 100%;">
        <p:dataTable var="unidadConstruccion"
                     id="unidadConstruccionNoConvencionalPredioOriginalNPHTable"
                     widgetVar="unidadConstruccionNoConvencionalPredioOriginalTableNPHWV"
                     emptyMessage="No hay registros disponibles"
                     value="#{managedBeanParam.unidadConstruccionNoConvencionalPredioOriginal}">
            <f:facet name="header">Unidades de construcción no convencional</f:facet>

            <p:column>
                <f:facet name="header">Acciones</f:facet>
                <h:selectBooleanCheckbox value="#{unidadConstruccion.selected}" />
            </p:column>

            <p:column>
                <f:facet name="header">Unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.unidad}" />
            </p:column>

            <p:column>
                <f:facet name="header">Uso unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">Descripción<br /> construcción</f:facet>
                <h:outputText value="#{unidadConstruccion.descripcion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Tipo</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPuntaje}" />
            </p:column>

            <p:column>
                <f:facet name="header">Dimensión</f:facet>
                <h:outputText value="#{unidadConstruccion.areaConstruidaRestante}" />
            </p:column>

            <p:column>
                <f:facet name="header">Avalúo<br /> unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.avaluo}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <f:facet name="footer">
                <p:outputPanel layout="block" style="text-align: left">
                    <h:outputLabel value="Total unidades: " />
                    <h:outputText
                            value="#{fn:length(managedBeanParam.unidadConstruccionNoConvencionalPredioOriginal)}" />
                </p:outputPanel>
            </f:facet>

        </p:dataTable>

    </div>
    <p:separator />

    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton action="#{managedBeanParam.asociarConstruccionesPredioOriginal}"
                         value="Asociar construcciones" rendered="#{mostrarSeleccion}"
                         disabled="#{!managedBeanParam.tramite.segundaDesenglobe}"
                         title="Asociar construcciones seleccionadas"
                         icon="ui-icon-arrowthick-1-s"
                         process="@this,unidadesConstruccionesPredioOriginalNPHPanelGrid"
                         update=":tabView1:gestionDetalleAvaluoForm" />
    </p:outputPanel>

</h:panelGrid>